[jitsi-dev] sql2 storage module for jitmeet installation leads to traceback on prosody 9


#1

Hi,

I'm trying to install jitmeet on my debian 7 server as per the wiki
instructions, but I didn't finad any mod_storage_sql2 module available in
either the google code repo nor in the andyet repo that the wiki tells us
to clone.

I found a sql2 storage module from the prosody mercurial repo but when I
add it and start prosody I get a traceback error. I'm still using Prosody 9
but it seems to me that I may need to upgrade to 10 even though it's still
unstable in order to get jitmeet to work.

Do I have to install prosdy 10 or am I missing something?

Thanks

Here's the beginning of the error log:

Mar 30 17:44:34 storagemanager error Failed to load storage driver
plugin sql2 on mydomain.com:
/usr/lib/prosody/modules/mod_storage_sql2.lua:116: attempt to call
method 'set_encoding' (a nil value)
stack traceback:

/usr/lib/prosody/core/modulemanager.lua:29: in function 'set_encoding'


#2

Hey Peter,

···

On 30.03.14, 19:49, Peter Villeneuve wrote:

Hi,

I'm trying to install jitmeet on my debian 7 server as per the wiki
instructions, but I didn't finad any mod_storage_sql2 module available
in either the google code repo nor in the andyet repo that the wiki
tells us to clone.

I found a sql2 storage module from the prosody mercurial repo but when I
add it and start prosody I get a traceback error. I'm still using
Prosody 9 but it seems to me that I may need to upgrade to 10 even
though it's still unstable in order to get jitmeet to work.

Do I have to install prosdy 10 or am I missing something?

This sounds like a question that would be better answered at the Prosody forums.

Emil

--
https://jitsi.org


#3

Hey Emil,

Indeed it is more of a Prosody question but since your installation doc in
google specifically mentions that sql2 module, and since that module is not
in the andyet repo, I wonder how its possible to install jitmeet if one
follows the installation doc.

In other words, the jitmeet installations that are presumably working were
built with Prosody 9 or 10? If with 9 as I presume, since that's the
current stable version, where does one get the sql2 module mentioned in the
instructions?

Thanks

···

On Sun, Mar 30, 2014 at 8:29 PM, Emil Ivov <emcho@jitsi.org> wrote:

Hey Peter,

On 30.03.14, 19:49, Peter Villeneuve wrote:

Hi,

I'm trying to install jitmeet on my debian 7 server as per the wiki
instructions, but I didn't finad any mod_storage_sql2 module available
in either the google code repo nor in the andyet repo that the wiki
tells us to clone.

I found a sql2 storage module from the prosody mercurial repo but when I
add it and start prosody I get a traceback error. I'm still using
Prosody 9 but it seems to me that I may need to upgrade to 10 even
though it's still unstable in order to get jitmeet to work.

Do I have to install prosdy 10 or am I missing something?

This sounds like a question that would be better answered at the Prosody
forums.

Emil

--
https://jitsi.org

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev


#4

Hello,

The sql2 module comes from the prosody-trunk package (from steps 1.1-1.4
in the instructions).

Regards,
Boris

···

On 30/03/14 22:29, Peter Villeneuve wrote:

Hey Emil,

Indeed it is more of a Prosody question but since your installation doc
in google specifically mentions that sql2 module, and since that module
is not in the andyet repo, I wonder how its possible to install jitmeet
if one follows the installation doc.

In other words, the jitmeet installations that are presumably working
were built with Prosody 9 or 10? If with 9 as I presume, since that's
the current stable version, where does one get the sql2 module mentioned
in the instructions?


#5

Thanks Boris.

Indeed it was my mistake. I missed the trunk part and only did install
prosody, which explains why I didn't pull the sql2 module correctly the
first time.
Appears to be working now.

Sorry about that and thanks again.

Cheers,
Peter

···

On Sun, Mar 30, 2014 at 9:42 PM, Boris Grozev <boris@jitsi.org> wrote:

On 30/03/14 22:29, Peter Villeneuve wrote:
> Hey Emil,
>
> Indeed it is more of a Prosody question but since your installation doc
> in google specifically mentions that sql2 module, and since that module
> is not in the andyet repo, I wonder how its possible to install jitmeet
> if one follows the installation doc.
>
> In other words, the jitmeet installations that are presumably working
> were built with Prosody 9 or 10? If with 9 as I presume, since that's
> the current stable version, where does one get the sql2 module mentioned
> in the instructions?

Hello,

The sql2 module comes from the prosody-trunk package (from steps 1.1-1.4
in the instructions).

Regards,
Boris

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev